import jaggl.OpenGL;

public class Class147_Sub1 extends Class147 {

   int anInt9837;
   static final int anInt9838 = 34070;
   static final int anInt9839 = 34074;
   static final int anInt9840 = 34072;
   static final int anInt9841 = 34073;
   static final int anInt9842 = 34069;
   static final int anInt9843 = 34071;


   Interface7 method15408(int var1, int var2) {
      return new Class159(this, var1, var2);
   }

   Class147_Sub1(Class545_Sub1 var1, Class98 var2, Class91 var3, int var4, boolean var5, int[][] var6) {
      super(var1, '\u8513', var2, var3, var4 * var4 * 6, var5);
      this.anInt9837 = var4;
      this.aClass545_Sub1_1704.method14725(this);
      int var7;
      if(var5) {
         for(var7 = 0; var7 < 6; ++var7) {
            method2723('\u8515' + var7, Class545_Sub1.method14609(this.aClass98_1707, this.aClass91_1703), var4, var4, '\u80e1', this.aClass545_Sub1_1704.anInt9283, var6[var7]);
         }
      } else {
         for(var7 = 0; var7 < 6; ++var7) {
            OpenGL.glTexImage2Di('\u8515' + var7, 0, Class545_Sub1.method14609(this.aClass98_1707, this.aClass91_1703), var4, var4, 0, '\u80e1', this.aClass545_Sub1_1704.anInt9283, var6[var7], 0);
         }
      }

      this.method2694(true);
   }

   Class147_Sub1(Class545_Sub1 var1, Class98 var2, Class91 var3, int var4, boolean var5, byte[][] var6, Class98 var7) {
      super(var1, '\u8513', var2, var3, var4 * var4 * 6, var5);
      this.anInt9837 = var4;
      this.aClass545_Sub1_1704.method14725(this);

      for(int var8 = 0; var8 < 6; ++var8) {
         OpenGL.glTexImage2Dub('\u8515' + var8, 0, Class545_Sub1.method14609(this.aClass98_1707, this.aClass91_1703), var4, var4, 0, Class545_Sub1.method14567(var7), 5121, var6[var8], 0);
      }

      this.method2694(true);
   }

   Interface7 method15409(int var1, int var2) {
      return new Class159(this, var1, var2);
   }

   Interface7 method15410(int var1, int var2) {
      return new Class159(this, var1, var2);
   }

   Interface7 method15411(int var1, int var2) {
      return new Class159(this, var1, var2);
   }

   Class147_Sub1(Class545_Sub1 var1, Class98 var2, Class91 var3, int var4) {
      super(var1, '\u8513', var2, var3, var4 * var4 * 6, false);
      this.anInt9837 = var4;
      this.aClass545_Sub1_1704.method14725(this);

      for(int var5 = 0; var5 < 6; ++var5) {
         OpenGL.glTexImage2Dub('\u8515' + var5, 0, Class545_Sub1.method14609(this.aClass98_1707, this.aClass91_1703), var4, var4, 0, Class545_Sub1.method14567(this.aClass98_1707), 5121, (byte[])null, 0);
      }

      this.method2694(true);
   }
}
